
Quantification tool - Bug #1268

Changes on validation process and warning messages' labels of treatment regimens

08/08/2014 07:54 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 08/08/2014

Priority: High Due date: 08/15/2014

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

- Replace label "Phase duration is not defined" to "Phase duration can not be zero".

- Replace label "Medicine is not defined" to "Medicine must be added".

- Check if units per days and days per week for all medicines within the phase are different from zero before allow users to add new

phase. Currently this checking has been done only for units per day. Display a warning message if zero remains for at least units per

days or days per week.

- Replace the label "*Name of the medicine* Dosage is not defined" to "*Name of the medicine* Units per day and Days per week

cannot be zero" for the current message related to the validation process mentioned above.

- Display confirmation dialog boxes before deleting phases and medicines.

-

History

#1 - 08/12/2014 12:00 PM - Oleksii Kurasov

- Due date set to 08/13/2014

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 08/14/2014 03:53 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Still pending:

- Replace the label "*Name of the medicine* Dosage cannot be zero" to "*Name of the medicine* daily dosage cannot be zero"

- In the label "*Name of the medicine* Weekly frequency cannot be zero" the word "weekly" must have only small letters.

#3 - 08/15/2014 06:53 AM - Oleksii Kurasov

- Due date changed from 08/13/2014 to 08/15/2014

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 08/15/2014 11:15 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Checked and adequate.
